Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core.client
Class HornetQClient

    java.lang.Object
      org.hornetq.api.core.client.HornetQClient

    public class HornetQClient

extends Object

Utility class for creating HornetQ `ClientSessionFactory` objects. Once a `ClientSessionFactory` has been created, it can be further configured using its setter methods before creating the sessions. Once a session is created, the factory can no longer be modified (its setter methods will throw a `IllegalStateException`.

Author:
  Andy Taylor

Field Summary
`static int` | `DEFAULT_ACK_BATCH_SIZE`
`static boolean` | `DEFAULT_AUTO_GROUP`
`static boolean` | `DEFAULT_BLOCK_ON_ACKNOWLEDGE`
`static boolean` | `DEFAULT_BLOCK_ON_DURABLE_SEND`
`static boolean` | `DEFAULT_BLOCK_ON_NON_DURABLE_SEND`
`static boolean` | `DEFAULT_CACHE_LARGE_MESSAGE_CLIENT`
`static long` | `DEFAULT_CALL_TIMEOUT`
`static long` | `DEFAULT_CLIENT_FAILURE_CHECK_PERIOD`
`static boolean` | `DEFAULT_COMPRESS_LARGE_MESSAGES`
`static int` | `DEFAULT_CONFIRMATION_WINDOW_SIZE`
`static String` | `DEFAULT_CONNECTION_LOAD_BALANCING_POLICY_CLASS_NAME`
`static long` | `DEFAULT_CONNECTION_TTL`
`static int` | `DEFAULT_CONSUMER_MAX_RATE`
`static int` | `DEFAULT_CONSUMER_WINDOW_SIZE`
`static long` | `DEFAULT_DISCOVERY_INITIAL_WAIT_TIMEOUT`
`static int` | `DEFAULT_DISCOVERY_PORT`
`static long` | `DEFAULT_DISCOVERY_REFRESH_TIMEOUT`
`static boolean` | `DEFAULT_FAILOVER_ON_INITIAL_CONNECTION`
`static boolean` | `DEFAULT_HA`
`static int` | `DEFAULT_INITIAL_MESSAGE_PACKET_SIZE`
`static boolean` | `DEFAULT_IS_HA`
`static long` | `DEFAULT_MAX_RETRY_INTERVAL`
`static int` | `DEFAULT_MIN_LARGE_MESSAGE_SIZE`
`static boolean` | `DEFAULT_PRE_ACKNOWLEDGE`
`static int` | `DEFAULT_PRODUCER_MAX_RATE`
`static int` | `DEFAULT_PRODUCER_WINDOW_SIZE`
`static int` | `DEFAULT_RECONNECT_ATTEMPTS`
`static long` | `DEFAULT_RETRY_INTERVAL`
`static double` | `DEFAULT_RETRY_INTERVAL_MULTIPLIER`
`static int` | `DEFAULT_SCHEDULED_THREAD_POOL_MAX_SIZE`
`static int` | `DEFAULT_THREAD_POOL_MAX_SIZE`
`static boolean` | `DEFAULT_USE_GLOBAL_POOLS`
`static boolean` | `DEFAULT_XA`
`static int` | `INITIAL_CONNECT_ATTEMPTS`

Method Summary
`static ServerLocator` | `createServerLocator(boolean ha, DiscoveryGroupConfiguration groupConfiguration)` Create a ServerLocator which creates session factories from a set of live servers, no HA backup information is propagated to the client The UDP address and port are used to listen for live servers in the cluster
`static ServerLocator` | `createServerLocator(boolean ha, TransportConfiguration... transportConfigurations)` Create a ServerLocator which creates session factories using a static list of transportConfigurations, the ServerLocator is not updated automatically as the cluster topology changes, and no HA backup information is propagated to the client
`static ServerLocator` | `createServerLocatorWithHA(DiscoveryGroupConfiguration groupConfiguration)` Create a ServerLocator which will receive cluster topology updates from the cluster as servers leave or join and new backups are appointed or removed.
`static ServerLocator` | `createServerLocatorWithHA(TransportConfiguration... initialServers)` Create a ServerLocator which will receive cluster topology updates from the cluster as servers leave or join and new backups are appointed or removed.
`static ServerLocator` | `createServerLocatorWithoutHA(DiscoveryGroupConfiguration groupConfiguration)` Create a ServerLocator which creates session factories from a set of live servers, no HA backup information is propagated to the client The UDP address and port are used to listen for live servers in the cluster
`static ServerLocator` | `createServerLocatorWithoutHA(TransportConfiguration... transportConfigurations)` Create a ServerLocator which creates session factories using a static list of transportConfigurations, the ServerLocator is not updated automatically as the cluster topology changes, and no HA backup information is propagated to the client

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONNECTION_LOAD_BALANCING_POLICY_CLASS_NAME

    public static final String DEFAULT_CONNECTION_LOAD_BALANCING_POLICY_CLASS_NAME

### DEFAULT_CLIENT_FAILURE_CHECK_PERIOD

    public static final long DEFAULT_CLIENT_FAILURE_CHECK_PERIOD

See Also:
  Constant Field Values

### DEFAULT_CONNECTION_TTL

    public static final long DEFAULT_CONNECTION_TTL

See Also:
  Constant Field Values

### DEFAULT_MIN_LARGE_MESSAGE_SIZE

    public static final int DEFAULT_MIN_LARGE_MESSAGE_SIZE

See Also:
  Constant Field Values

### DEFAULT_COMPRESS_LARGE_MESSAGES

    public static final boolean DEFAULT_COMPRESS_LARGE_MESSAGES

See Also:
  Constant Field Values

### DEFAULT_CONSUMER_WINDOW_SIZE

    public static final int DEFAULT_CONSUMER_WINDOW_SIZE

See Also:
  Constant Field Values

### DEFAULT_CONSUMER_MAX_RATE

    public static final int DEFAULT_CONSUMER_MAX_RATE

See Also:
  Constant Field Values

### DEFAULT_CONFIRMATION_WINDOW_SIZE

    public static final int DEFAULT_CONFIRMATION_WINDOW_SIZE

See Also:
  Constant Field Values

### DEFAULT_PRODUCER_WINDOW_SIZE

    public static final int DEFAULT_PRODUCER_WINDOW_SIZE

See Also:
  Constant Field Values

### DEFAULT_PRODUCER_MAX_RATE

    public static final int DEFAULT_PRODUCER_MAX_RATE

See Also:
  Constant Field Values

### DEFAULT_BLOCK_ON_ACKNOWLEDGE

    public static final boolean DEFAULT_BLOCK_ON_ACKNOWLEDGE

See Also:
  Constant Field Values

### DEFAULT_BLOCK_ON_DURABLE_SEND

    public static final boolean DEFAULT_BLOCK_ON_DURABLE_SEND

See Also:
  Constant Field Values

### DEFAULT_BLOCK_ON_NON_DURABLE_SEND

    public static final boolean DEFAULT_BLOCK_ON_NON_DURABLE_SEND

See Also:
  Constant Field Values

### DEFAULT_AUTO_GROUP

    public static final boolean DEFAULT_AUTO_GROUP

See Also:
  Constant Field Values

### DEFAULT_CALL_TIMEOUT

    public static final long DEFAULT_CALL_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_ACK_BATCH_SIZE

    public static final int DEFAULT_ACK_BATCH_SIZE

See Also:
  Constant Field Values

### DEFAULT_PRE_ACKNOWLEDGE

    public static final boolean DEFAULT_PRE_ACKNOWLEDGE

See Also:
  Constant Field Values

### DEFAULT_DISCOVERY_INITIAL_WAIT_TIMEOUT

    public static final long DEFAULT_DISCOVERY_INITIAL_WAIT_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_DISCOVERY_REFRESH_TIMEOUT

    public static final long DEFAULT_DISCOVERY_REFRESH_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_DISCOVERY_PORT

    public static final int DEFAULT_DISCOVERY_PORT

See Also:
  Constant Field Values

### DEFAULT_RETRY_INTERVAL

    public static final long DEFAULT_RETRY_INTERVAL

See Also:
  Constant Field Values

### DEFAULT_RETRY_INTERVAL_MULTIPLIER

    public static final double DEFAULT_RETRY_INTERVAL_MULTIPLIER

See Also:
  Constant Field Values

### DEFAULT_MAX_RETRY_INTERVAL

    public static final long DEFAULT_MAX_RETRY_INTERVAL

See Also:
  Constant Field Values

### DEFAULT_RECONNECT_ATTEMPTS

    public static final int DEFAULT_RECONNECT_ATTEMPTS

See Also:
  Constant Field Values

### INITIAL_CONNECT_ATTEMPTS

    public static final int INITIAL_CONNECT_ATTEMPTS

See Also:
  Constant Field Values

### DEFAULT_FAILOVER_ON_INITIAL_CONNECTION

    public static final boolean DEFAULT_FAILOVER_ON_INITIAL_CONNECTION

See Also:
  Constant Field Values

### DEFAULT_IS_HA

    public static final boolean DEFAULT_IS_HA

See Also:
  Constant Field Values

### DEFAULT_USE_GLOBAL_POOLS

    public static final boolean DEFAULT_USE_GLOBAL_POOLS

See Also:
  Constant Field Values

### DEFAULT_THREAD_POOL_MAX_SIZE

    public static final int DEFAULT_THREAD_POOL_MAX_SIZE

See Also:
  Constant Field Values

### DEFAULT_SCHEDULED_THREAD_POOL_MAX_SIZE

    public static final int DEFAULT_SCHEDULED_THREAD_POOL_MAX_SIZE

See Also:
  Constant Field Values

### DEFAULT_CACHE_LARGE_MESSAGE_CLIENT

    public static final boolean DEFAULT_CACHE_LARGE_MESSAGE_CLIENT

See Also:
  Constant Field Values

### DEFAULT_INITIAL_MESSAGE_PACKET_SIZE

    public static final int DEFAULT_INITIAL_MESSAGE_PACKET_SIZE

See Also:
  Constant Field Values

### DEFAULT_XA

    public static final boolean DEFAULT_XA

See Also:
  Constant Field Values

### DEFAULT_HA

    public static final boolean DEFAULT_HA

See Also:
  Constant Field Values

Method Detail

### createServerLocatorWithoutHA

    public static ServerLocator createServerLocatorWithoutHA(TransportConfiguration... transportConfigurations)

  Create a ServerLocator which creates session factories using a static list of transportConfigurations, the ServerLocator is not updated automatically as the cluster topology changes, and no HA backup information is propagated to the client

  Parameters:
    `transportConfigurations` -
  Returns:
    the ServerLocator

### createServerLocator

    public static ServerLocator createServerLocator(boolean ha,
                                                    TransportConfiguration... transportConfigurations)

  Create a ServerLocator which creates session factories using a static list of transportConfigurations, the ServerLocator is not updated automatically as the cluster topology changes, and no HA backup information is propagated to the client

  Parameters:
    `transportConfigurations` -
  Returns:
    the ServerLocator

### createServerLocatorWithoutHA

    public static ServerLocator createServerLocatorWithoutHA(DiscoveryGroupConfiguration groupConfiguration)

  Create a ServerLocator which creates session factories from a set of live servers, no HA backup information is propagated to the client The UDP address and port are used to listen for live servers in the cluster

  Parameters:
    `discoveryAddress` - The UDP group address to listen for updates
    `discoveryPort` - the UDP port to listen for updates
  Returns:
    the ServerLocator

### createServerLocator

    public static ServerLocator createServerLocator(boolean ha,
                                                    DiscoveryGroupConfiguration groupConfiguration)

  Create a ServerLocator which creates session factories from a set of live servers, no HA backup information is propagated to the client The UDP address and port are used to listen for live servers in the cluster

  Parameters:
    `discoveryAddress` - The UDP group address to listen for updates
    `discoveryPort` - the UDP port to listen for updates
  Returns:
    the ServerLocator

### createServerLocatorWithHA

    public static ServerLocator createServerLocatorWithHA(TransportConfiguration... initialServers)

  Create a ServerLocator which will receive cluster topology updates from the cluster as servers leave or join and new backups are appointed or removed. The initial list of servers supplied in this method is simply to make an initial connection to the cluster, once that connection is made, up to date cluster topology information is downloaded and automatically updated whenever the cluster topology changes. If the topology includes backup servers that information is also propagated to the client so that it can know which server to failover onto in case of live server failure.

  Parameters:
    `initialServers` - The initial set of servers used to make a connection to the cluster. Each one is tried in turn until a successful connection is made. Once a connection is made, the cluster topology is downloaded and the rest of the list is ignored.
  Returns:
    the ServerLocator

### createServerLocatorWithHA

    public static ServerLocator createServerLocatorWithHA(DiscoveryGroupConfiguration groupConfiguration)

  Create a ServerLocator which will receive cluster topology updates from the cluster as servers leave or join and new backups are appointed or removed. The discoveryAddress and discoveryPort parameters in this method are used to listen for UDP broadcasts which contain connection information for members of the cluster. The broadcasted connection information is simply used to make an initial connection to the cluster, once that connection is made, up to date cluster topology information is downloaded and automatically updated whenever the cluster topology changes. If the topology includes backup servers that information is also propagated to the client so that it can know which server to failover onto in case of live server failure.

  Parameters:
    `discoveryAddress` - The UDP group address to listen for updates
    `discoveryPort` - the UDP port to listen for updates
  Returns:
    the ServerLocator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.